/*------------------------------------*\
    
    Half Images / Half Text Block - Block-Specific Styling

    This file contains styles for the Half Images / Half Text block.

\*------------------------------------*/

.half-images-half-text .flex-row {
    align-items: stretch;
    margin: 0;
    padding-right: 20px;
    padding-left: 20px;
}

.half-images-half-text .container-fluid .flex-row {
    padding-right: 0;
    padding-left: 0;
}

.half-images-half-text__images {
    margin-bottom: 30px;
    padding: 0;
}

.half-images__flex {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.half-images__item {
    position: relative;
}

.half-images__item:only-child {
    flex: 0 0 100%;
}

.half-images__item:first-child:nth-last-child(2),
.half-images__item:last-child:nth-child(2) {
    flex: 0 0 100%;
}

.half-images__item:first-child:nth-last-child(3) {
    flex: 0 0 100%;
}

.half-images__item:nth-child(2):nth-last-child(2),
.half-images__item:last-child:nth-child(3) {
    flex: 0 0 calc(50% - 7.5px);
}

.half-images-half-text__text {
    padding: 0;
}

.half-images-half-text__content {
    position: relative;
}

.half-images-half-text__content.with-arrow {
    padding-left: 30px;
}

.half-images-half-text__arrow {
	position: absolute;
	top: 0;
	left: 0;
    display: flex;
    align-items: flex-end;
    justify-content: center;
	width: max-content;
	height: 100%;
	object-fit: cover;
}

.half-images-half-text__arrow svg {
    width: 21px;
    height: 21px;
}

.half-images-half-text__arrow::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 1px;
    height: calc(100% - 14px);
    background: var(--black);
    margin: 0 auto;
    z-index: 1;
}

@media (min-width: 768px) {
    .half-images__flex {
        gap: 10px;
    }

    .half-images__item:first-child:nth-last-child(2),
    .half-images__item:last-child:nth-child(2) {
        flex: 0 0 calc(50% - 5px);
    }

    .half-images__item:nth-child(2):nth-last-child(2),
    .half-images__item:last-child:nth-child(3) {
        flex: 0 0 calc(50% - 5px);
    }
}

@media (min-width: 1200px) {
    .half-images-half-text .flex-row {
        margin: 0 -16px;
        padding: 0;
    }

    .half-images-half-text__images {
        max-width: 50%;
        margin-bottom: 0;
        padding-right: 16px;
        padding-left: 16px;
    }

    .half-images__item:first-child:nth-last-child(3) {
        height: 500px;
    }

    .half-images-half-text__text {
        display: flex;
        align-items: center;
        width: calc(50% - 20px);
        padding-left: 50px;
        padding-right: 20px;
    }

    .flex-opposite .half-images-half-text__text {
        justify-content: flex-end;
        padding-left: 20px;
        padding-right: 50px;
    }

    .half-text__wrapper {
        max-width: 730px;
    }

    .half-images-half-text__content.with-arrow {
        padding-left: 50px;
    }
}